Subject: [PATCH 1/3] ARM: dts: Renaming elpida_ecb240abacn.dtsi as lpddr2_data.dtsi

From: [email-masked] (Lokesh Vutla)
Date: Thu, 11 Oct 2012 14:01:19 +0530

On Thursday 11 October 2012 01:58 PM, Benoit Cousson wrote:
> On 10/11/2012 08:16 AM, Lokesh Vutla wrote:
>> + devicetree-discuss
>>
>> Hi Benoit,
>>
>> On Wednesday 10 October 2012 08:18 PM, Benoit Cousson wrote:
>>> Hi Lokesh,
>>>
>>> On 10/10/2012 02:05 PM, Lokesh Vutla wrote:
>>>> Renaming elpida_ecb240abacn.dtsi file generic, so that the
>>>> same file can be reused for other parts from different vendors.
>>>
>>> Could you elaborate a little bit?
>>> Are these settings purely reflecting lpddr2 spec timings?
>>
>> The basic idea is to group data for all the lpddr2 devices in a single
>> file instead of creating separate file for each lpddr2 device.
>>
>> Right now the file elpida_ecb240abacn.dtsi contains only data for
>> lpddr2-s4 2G parts from Elpida.
>> I wanted to add data for lpddr2-s4 4G parts from Samsung.
>> So I renamed the file elpida_ecb240abacn.dtsi as lpddr2_data.dtsi.
>>
>> Please let me know if more clarification is needed.
>
> Well, not anymore... as explained in the previous email, you should not
> do that.
> Keep the Elpida file and create another one for the Samsung part.
> Then each board will be able to select the proper one and include only
> the relevant data.
OK, Ill agree with you.
I ll do the changes and post the V2.

Thanks,
Lokesh
> Regards,
> Benoit